gnutls_error_to_alert(3)

NAME
gnutls_error_to_alert - return an alert code based on the given error code

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_error_to_alert(int err, int * level);

ARGUMENTS

int err
    is a negative integer

int * level
    the alert level will be stored there

DESCRIPTION
Get an alert depending on the error code returned by a gnutls function. All alerts sent by this function should be considered fatal. The only exception is when err is GNUTLS_E_REHANDSHAKE, where a warning alert should be sent to the peer indicating that no renegotiation will be performed. If there is no mapping to a valid alert the alert to indicate internal error is returned.

RETURNS
the alert code to use for a particular error code.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.